Package icyllis.arc3d.engine.trash

# Class StencilSettings

java.lang.Object
icyllis.arc3d.engine.trash.StencilSettings

@Deprecated public final class StencilSettings extends Object
Deprecated.
This class defines concrete stencil settings that map directly to the underlying hardware. It is deduced from user stencil settings, stencil clip status, and the number of bits in the target stencil buffer.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `STENCIL_OP_COUNT`
  Deprecated.
  `static final byte`
  `STENCIL_OP_DEC_CLAMP`
  Deprecated.
  `static final byte`
  `STENCIL_OP_DEC_WRAP`
  Deprecated.
  StencilOp
  `static final byte`
  `STENCIL_OP_INC_CLAMP`
  Deprecated.
  `static final byte`
  `STENCIL_OP_INC_WRAP`
  Deprecated.
  StencilOp
  `static final byte`
  `STENCIL_OP_INVERT`
  Deprecated.
  StencilOp
  `static final byte`
  `STENCIL_OP_KEEP`
  Deprecated.
  StencilOp
  `static final byte`
  `STENCIL_OP_REPLACE`
  Deprecated.
  StencilOp
  `static final byte`
  `STENCIL_OP_ZERO`
  Deprecated.
  StencilOp
  `static final short`
  `STENCIL_TEST_ALWAYS`
  Deprecated.
  StencilTest
  `static final int`
  `STENCIL_TEST_COUNT`
  Deprecated.
  `static final short`
  `STENCIL_TEST_EQUAL`
  Deprecated.
  StencilTest
  `static final short`
  `STENCIL_TEST_GEQUAL`
  Deprecated.
  StencilTest
  `static final short`
  `STENCIL_TEST_GREATER`
  Deprecated.
  StencilTest
  `static final short`
  `STENCIL_TEST_LEQUAL`
  Deprecated.
  StencilTest
  `static final short`
  `STENCIL_TEST_LESS`
  Deprecated.
  StencilTest
  `static final short`
  `STENCIL_TEST_NEVER`
  Deprecated.
  StencilTest
  `static final short`
  `STENCIL_TEST_NOTEQUAL`
  Deprecated.
  StencilTest

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StencilSettings()`
  Deprecated.

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### STENCIL_TEST_ALWAYS

    public static final short STENCIL_TEST_ALWAYS
    Deprecated.
    StencilTest
    See Also:
      - Constant Field Values

  - ### STENCIL_TEST_NEVER

    public static final short STENCIL_TEST_NEVER
    Deprecated.
    StencilTest
    See Also:
      - Constant Field Values

  - ### STENCIL_TEST_GREATER

    public static final short STENCIL_TEST_GREATER
    Deprecated.
    StencilTest
    See Also:
      - Constant Field Values

  - ### STENCIL_TEST_GEQUAL

    public static final short STENCIL_TEST_GEQUAL
    Deprecated.
    StencilTest
    See Also:
      - Constant Field Values

  - ### STENCIL_TEST_LESS

    public static final short STENCIL_TEST_LESS
    Deprecated.
    StencilTest
    See Also:
      - Constant Field Values

  - ### STENCIL_TEST_LEQUAL

    public static final short STENCIL_TEST_LEQUAL
    Deprecated.
    StencilTest
    See Also:
      - Constant Field Values

  - ### STENCIL_TEST_EQUAL

    public static final short STENCIL_TEST_EQUAL
    Deprecated.
    StencilTest
    See Also:
      - Constant Field Values

  - ### STENCIL_TEST_NOTEQUAL

    public static final short STENCIL_TEST_NOTEQUAL
    Deprecated.
    StencilTest
    See Also:
      - Constant Field Values

  - ### STENCIL_TEST_COUNT

    public static final int STENCIL_TEST_COUNT
    Deprecated.
    See Also:
      - Constant Field Values

  - ### STENCIL_OP_KEEP

    public static final byte STENCIL_OP_KEEP
    Deprecated.
    StencilOp
    See Also:
      - Constant Field Values

  - ### STENCIL_OP_ZERO

    public static final byte STENCIL_OP_ZERO
    Deprecated.
    StencilOp
    See Also:
      - Constant Field Values

  - ### STENCIL_OP_REPLACE

    public static final byte STENCIL_OP_REPLACE
    Deprecated.
    StencilOp
    See Also:
      - Constant Field Values

  - ### STENCIL_OP_INVERT

    public static final byte STENCIL_OP_INVERT
    Deprecated.
    StencilOp
    See Also:
      - Constant Field Values

  - ### STENCIL_OP_INC_WRAP

    public static final byte STENCIL_OP_INC_WRAP
    Deprecated.
    StencilOp
    See Also:
      - Constant Field Values

  - ### STENCIL_OP_DEC_WRAP

    public static final byte STENCIL_OP_DEC_WRAP
    Deprecated.
    StencilOp
    See Also:
      - Constant Field Values

  - ### STENCIL_OP_INC_CLAMP

    public static final byte STENCIL_OP_INC_CLAMP
    Deprecated.
    See Also:
      - Constant Field Values

  - ### STENCIL_OP_DEC_CLAMP

    public static final byte STENCIL_OP_DEC_CLAMP
    Deprecated.
    See Also:
      - Constant Field Values

  - ### STENCIL_OP_COUNT

    public static final int STENCIL_OP_COUNT
    Deprecated.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### StencilSettings

    public StencilSettings()
    Deprecated.